Subject: Re: [Stox] [dispatch] Fwd: I-D Action: draft-saintandre-sip-xmpp-presence-05.txt

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 03 May 2013 13:47:16 -0600

On 4/7/13 11:44 AM, Saúl Ibarra Corretgé wrote:
> Hi Peter,
> 
> Here are some comments on revision 5:
> 
> - Section 3.3.1: The initial SUBSCRIBE should have an empty to tag.

Really? That doesn't seem consistent with RFC 3856.

> - Section 4.3: Tuple id should be ID-orchard

Agreed.

> - Section 4.3, table 7: The reference to <body> looks like a c&p
> error ;-)

Yep!

> I think we should make sue of the 'contact' child element of the PIDF
> tuple to provide the full (translated as per the core draft) URI of
> the presence entity. From/To headers cannot have GRUUs in them IIRC,

RFC 5627 implies so, yes. (BTW, both draft-saintandre-sip-xmpp-chat and
draft-saintandre-sip-xmpp-groupchat mistakenly have GRUUs in From:
headers; we'll need to fix those.)

> so the contact element seems like the right place to hold this piece
> of information. This way the endpoint which processes this presence
> information will learn how to contact *this* particular instance.

Good point. I agree that the Contact header is the right place to put
that information.

> In addition, the draft currently only considers the case where a
> single NOTIFY is generated for a presence stanza, but if RLS is used
> a presence agent will aggregate multiple PIDF documents in a single
> RLMI document and send it in a single NOTIFY, so not relying in the
> From header would help.

Resource lists have always frightened me. Care to propose some text? ;-)

But in any case I need to re-read RFC 4662...

Peter

---

From: Adrian Georgescu <[email-masked]>
Date: Fri, 3 May 2013 21:59:56 +0200

> Really? That doesn't seem consistent with RFC 3856.

To tag is generated by the end-point that receives the Subscribe. The end-points that create a Subscribe knows only its own from tag, he cannot know the to tag of a counter party that will received the message.

Adrian

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 03 May 2013 14:08:58 -0600

> To tag is generated by the end-point that receives the Subscribe. The end-points that create a Subscribe knows only its own from tag, he cannot know the to tag of a counter party that will received…

Oh, I see, it contains only a Request-URI, not a To: header. Correct?

Peter

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 03 May 2013 14:13:13 -0600

> Oh, I see, it contains only a Request-URI, not a To: header. Correct?

Nevertheless, the examples in Section 8 of RFC 3856 include the To:
header...

Peter

---

From: Adrian Georgescu <[email-masked]>
Date: Fri, 3 May 2013 22:16:40 +0200

8.  Example Message Flow
F1 SUBSCRIBE   watcher->example.com server

      SUBSCRIBE sip:[email-masked] SIP/2.0
      Via: SIP/2.0/TCP watcherhost.example.com;branch=z9hG4bKnashds7
      To: <sip:[email-masked]>
      From: <sip:[email-masked]>;tag=xfg9

The tag is the ;tag attribute you see in From header. The To header does not have one, it is populated by the responding end-point.

Adrian

On May 3, 2013, at 10:13 PM, Peter Saint-Andre wrote:

> _______________________________________________
> stox mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/stox
>

---

From: Saúl Ibarra Corretgé <[email-masked]>
Date: Fri, 3 May 2013 22:29:41 +0200

> headers; we'll need to fix those.)

Oh, right!

> Resource lists have always frightened me. Care to propose some text? ;-)

I'll have another read at what we have right now and propose some text.

--
Saúl Ibarra Corretgé
AG Projects

---

From: Peter Saint-Andre <[email-masked]>
Date: Sun, 05 May 2013 20:20:38 -0600

>> headers; we'll need to fix those.)

Those are all fixed in source control now, by the way.

> I'll have another read at what we have right now and propose some text.

Great, thanks!

Peter